List project templates
curl --request GET \
--url https://mycluster.domino.tech/api/develop/v1/project-templates \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/develop/v1/project-templates"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/develop/v1/project-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/develop/v1/project-templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/develop/v1/project-templates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/develop/v1/project-templates")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/develop/v1/project-templates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"access": {
"collaborators": [
{
"id": "<string>",
"role": "template_user"
}
],
"visibility": "private"
},
"categories": [
"<string>"
],
"created": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"owner": {
"name": "<string>",
"link": "<string>"
},
"templateType": "customer",
"updated": "2023-11-07T05:31:56Z",
"base64Logo": "<string>",
"description": "<string>",
"isCompanyOfficial": true,
"license": "<string>",
"recommended": true,
"revisionId": "<string>",
"taxonomyTags": [
{
"id": "<string>",
"label": "<string>",
"namespaceId": "<string>",
"description": "<string>",
"fullPath": [
"<string>"
],
"namespaceLabel": "<string>"
}
]
}
],
"paginationDetails": {
"pageNumber": 123,
"pageSize": 123,
"sortOrder": "<string>"
},
"totalCount": 123
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Query Parameters
The page number of the collection to return. If not provided, the first page will be returned.
x >= 1The number of items to return per page. If not provided, 10 items will be returned per page.
1 <= x <= 100The view to filter on. To retrieve your own templates, pass your user ID as a string. To retrieve templates shared with you, pass in "shared". To retrieve company official templates, pass in "official". If you have Domino AI Hub templates enabled, you can also pass in "ecosystem" to retrieve those.
The category to filter on. Applies only to ecosystem templates.
The owner to filter on. Supply user ID for custom templates and owner name for ecosystem templates.
To filter on company official templates.
The field to sort the collection by (in the given order).
updated, name, recommended The direction to sort the collection by. The direction is 'desc' by default in all cases.
asc, desc The search query to match on a template's name or description.
The custom template tag to search for.
Was this page helpful?
curl --request GET \
--url https://mycluster.domino.tech/api/develop/v1/project-templates \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/develop/v1/project-templates"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/develop/v1/project-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/develop/v1/project-templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/develop/v1/project-templates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/develop/v1/project-templates")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/develop/v1/project-templates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"access": {
"collaborators": [
{
"id": "<string>",
"role": "template_user"
}
],
"visibility": "private"
},
"categories": [
"<string>"
],
"created": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"owner": {
"name": "<string>",
"link": "<string>"
},
"templateType": "customer",
"updated": "2023-11-07T05:31:56Z",
"base64Logo": "<string>",
"description": "<string>",
"isCompanyOfficial": true,
"license": "<string>",
"recommended": true,
"revisionId": "<string>",
"taxonomyTags": [
{
"id": "<string>",
"label": "<string>",
"namespaceId": "<string>",
"description": "<string>",
"fullPath": [
"<string>"
],
"namespaceLabel": "<string>"
}
]
}
],
"paginationDetails": {
"pageNumber": 123,
"pageSize": 123,
"sortOrder": "<string>"
},
"totalCount": 123
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}